import { ElementRef, OnInit } from "@angular/core";
import * as i0 from "@angular/core";
export declare class DraggableDirective implements OnInit {
    element: ElementRef;
    topStart: number;
    leftStart: number;
    _allowDrag: boolean;
    md: boolean;
    constructor(element: ElementRef);
    ngOnInit(): void;
    set allowDrag(value: boolean);
    onMouseDown(event: MouseEvent): void;
    onMouseUp(event: MouseEvent): void;
    onMouseMove(event: MouseEvent): void;
    onTouchStart(event: any): void;
    onTouchEnd(): void;
    onTouchMove(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DraggableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DraggableDirective, "[path-draggable]", never, { "allowDrag": "path-draggable"; }, {}, never>;
}
